/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2016 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(['jquery.sap.global','./Control','./library','jquery.sap.encoder'],function(q,C,l){"use strict";var I=C.extend("sap.ui.core.InvisibleText",{metadata:{library:"sap.ui.core",publicMethods:["toStatic"],properties:{text:{type:"string",defaultValue:""}}},renderer:function(r,c){r.write("<span");r.writeControlData(c);r.addClass("sapUiInvisibleText");r.writeClasses();r.writeAttribute("aria-hidden","true");r.write(">");r.writeEscaped(c.getText()||"");r.write("</span>");}});I.prototype.setBusy=function(){q.sap.log.warning("Property busy is not supported by control sap.ui.core.InvisibleText.");return this;};I.prototype.setBusyIndicatorDelay=function(){q.sap.log.warning("Property busyIndicatorDelay is not supported by control sap.ui.core.InvisibleText.");return this;};I.prototype.setVisible=function(){q.sap.log.warning("Property visible is not supported by control sap.ui.core.InvisibleText.");return this;};I.prototype.setTooltip=function(){q.sap.log.warning("Aggregation tooltip is not supported by control sap.ui.core.InvisibleText.");return this;};I.prototype.setText=function(t){this.setProperty("text",t,true);this.$().html(q.sap.encodeHTML(this.getText()||""));return this;};I.prototype.toStatic=function(){var c=sap.ui.getCore();try{var s=c.getStaticAreaRef();var r=c.createRenderManager();r.render(this,s);r.destroy();}catch(e){this.placeAt("sap-ui-static");}return this;};return I;});
